<template>
  <span class="product-card">
    <div class="image-wrapper">
      <img :src="product.thumbnailUrl" :alt="product.name" />
      <span class="product-stock" v-if="product.inStock">в наличии</span>
      <span class="product-stock not" v-else>нет в наличии</span>
    </div>
    <h3 class="product-name">{{ product.name }}</h3>
    <p class="product-price">{{ product.defaultDisplayedPriceFormatted }}</p>
    <router-link
      :to="{ path: `/product/${product.id}`, params: { product: product } }"
      class="product-button"
      >купить</router-link
    >
  </span>
</template>

<script>
export default {
  name: "ProductCard",
  props: {
    product: {
      type: Object,
      required: true,
    },
  },
};
</script>

<style scoped>
.product-card {
  cursor: pointer;
  display: flex;
  flex-direction: column;
  width: 400px;
  height: 500px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  padding: 20px 10px;
  border-radius: 5px;
  text-align: center;
  justify-content: space-between;
  transition: transform 0.3s ease;
}

.image-wrapper {
  overflow: hidden;
  border-radius: 5px;
  flex: 1;
  position: relative;
}

.product-card img {
  width: 100%;
  height: auto;
  transition: transform 0.3s ease;
}

.product-card:hover img {
  transform: scale(1.1);
}

.product-card .product-name {
  margin: 10px 0;
  font-size: 1.2em;
  font-weight: bold;
}

.product-card .product-price {
  font-size: 1.1em;
  font-weight: bold;
  color: #d9534f;
}

.product-card:hover {
  transform: translateY(-10px);
}
.product-button {
  border: none;
  background-color: black;
  color: #fff;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 1em;
  cursor: pointer;
  transition: background-color 0.3s ease;
  text-decoration: none;
}

.product-button:hover {
  background-color: rgb(48, 47, 47);
}
.product-stock {
  position: absolute;
  bottom: 5%;
  right: 0;
  color: white;
  background: black;
  padding: 8px;
}
.not {
  background: #090808;
}
</style>
